Day: December 6, 2018

Can I use the ClassicPress BETA on a live website? (yes!)

WordPress 5.0 was launched today and major plugin authors are telling people not to upgrade their websites (see posts by: Yoast SEO, Advanced Custom Fields and WPML). As a result, many people want to switch to ClassicPress (a business-focused fork of WordPress) as soon as possible. The big question on everyone’s lips is: “can I use the ClassicPress BETA on a live website”?

ClassicPress itself is extremely stable. It has been tested on hundreds of sites with varied setups and our development team lead, James Nylen, has given the green light for us to say it’s safe to use in a live environment (there are no open bugs on our GitHub repository).

So the short answer to the question is YES! On a side note – I switched 55 live websites to ClassicPress as I wrote this article. Everything went perfectly!

You might be wondering why ClassicPress is still in BETA if this is the case. The answer is simple – there are a few things we need to do before launching v1. Specifically:

  • There are a few dashboard areas we still need to convert to being ClassicPress focused rather than WordPress focused (for example, we’re adding a Petitions dashboard widget)
  • There is still the occasional mention of WordPress instead of ClassicPress, such as in the README file
  • Localisation is incomplete

If you would like to switch to ClassicPress, migration is extremely simple – you can download and install our migration plugin which will do the hard work for you (always make a backup first!).

Please note:

  • Please make a backup of your site – ClassicPress cannot be held responsible for any issues that may arise from installing BETA software
  • There is one plugin that is unhappy with a ClassicPress installation: Wordfence (and for good reason – Wordfence is a security plugin and one of its functions is to detect whether core files have been modified, which of course ClassicPress has done). Please let Wordfence know that you would like ClassicPress compatability!
  • There are two plugins which conflict with our migration plugin: Disable WP Core Updates Advance and WP Config File Editor. Please disable these plugins if you’re migrating your site.

Ready? We are!